dots.v2.images.byImage_id().account_transfer.cancel.post()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.images.byImage_id(image_id).account_transfer.cancel.post(body: Images_post_account_transfer_cancel, requestConfiguration?: RequestConfiguration<object>): Promise<void>

Description

To cancel an account transfer for an image, send a POST request to /v2/images/{image_id}/account_transfer/cancel.

Only the sender of an image account transfer can cancel the transfer. If the transfer is canceled, the image will remain in the sender’s account and will not be transferred to the recipient.

Parameters

Path Parameters

image_id integer required

Example: 62137902

A unique number that can be used to identify and reference a specific image.

Request Body

transferId integer required

Example: 3164444

A unique number that used to identify and reference an image account transfer.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.images
    .byImage_id(62137902).account_transfer.cancel.post({
    transferId: 3164444,
});

More Information

See /v2/images/{image_id}/account_transfer/cancel in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.